[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#400445: marked as done (libxdamage1: calls UnlockDisplay and SyncHandle when it shouldn't)

Your message dated Tue, 28 Nov 2006 01:02:15 +0000
with message-id <E1GorMV-0006Kb-HQ@ries.debian.org>
and subject line Bug#400445: fixed in libxdamage 1:1.0.3-3
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: libxdamage1
Version: 1:1.0.3-2
Severity: important
Tags: upstream fixed-upstream patch

libXdamage calls UnlockDisplay and SyncHandle without a matching
LockDisplay.  This causes a locking correctness assertion failure with
libX11 1.1 and Xlib/XCB in experimental, and will become RC after the
etch release when libX11 1.1 enters unstable.


-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages libxdamage1 depends on:
ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
ii  libx11-6                     2:1.0.3-3   X11 client-side library
ii  libxfixes3                   1:4.0.1-4   X11 miscellaneous 'fixes' extensio
ii  x11-common                   1:7.1.0-7   X Window System (X.Org) infrastruc

libxdamage1 recommends no packages.

-- no debconf information

Attachment: signature.asc
Description: Digital signature

--- End Message ---
--- Begin Message ---
Source: libxdamage
Source-Version: 1:1.0.3-3

We believe that the bug you reported is fixed in the latest version of
libxdamage, which is due to be installed in the Debian FTP archive:

  to pool/main/libx/libxdamage/libxdamage-dev_1.0.3-3_i386.deb
  to pool/main/libx/libxdamage/libxdamage1-dbg_1.0.3-3_i386.deb
  to pool/main/libx/libxdamage/libxdamage1_1.0.3-3_i386.deb
  to pool/main/libx/libxdamage/libxdamage_1.0.3-3.diff.gz
  to pool/main/libx/libxdamage/libxdamage_1.0.3-3.dsc

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 400445@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Jamey Sharp <sharpone@debian.org> (supplier of updated libxdamage package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Mon, 27 Nov 2006 16:07:41 -0800
Source: libxdamage
Binary: libxdamage-dev libxdamage1-dbg libxdamage1
Architecture: source i386
Version: 1:1.0.3-3
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Jamey Sharp <sharpone@debian.org>
 libxdamage-dev - X11 damaged region extension library (development headers)
 libxdamage1 - X11 damaged region extension library
 libxdamage1-dbg - X11 damaged region extension library (debug package)
Closes: 400445
 libxdamage (1:1.0.3-3) unstable; urgency=low
   * calls UnlockDisplay and SyncHandle when it shouldn't (Closes:
   * Add Josh and myself to Uploaders.
   * Enable xsfbs patch application.
   * Add quilt to Build-Depends.
 6cee8dcbab16691a209a11f083ec0176 962 x11 optional libxdamage_1.0.3-3.dsc
 8f6eecf807cd8b63dadeb23595fe9b58 17953 x11 optional libxdamage_1.0.3-3.diff.gz
 a3b986156bc9554735d7f61f48d55dca 6434 x11 optional libxdamage1_1.0.3-3_i386.deb
 d3d3875eaaa6d80a1b82b3e6b3794c70 21222 x11 extra libxdamage1-dbg_1.0.3-3_i386.deb
 08208945b432a70ff347d3814aade759 6196 x11 optional libxdamage-dev_1.0.3-3_i386.deb

Version: GnuPG v1.4.5 (GNU/Linux)


--- End Message ---

Reply to: